Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.common.domain
Interface Resource

All Superinterfaces:
  org.acegisecurity.acl.basic.AclObjectIdentity, AttributedObject, InternalURI, java.io.Serializable

All Known Subinterfaces:
  BeanReportDataSource, ContentResource, CustomReportDataSource, DataSource, DataType, FileResource, Folder, InputControl, JdbcOlapDataSource, JdbcReportDataSource, JndiJdbcOlapDataSource, JndiJdbcReportDataSource, ListOfValues, MondrianConnection, MondrianXMLADefinition, OlapClientConnection, OlapDataSource, OlapUnit, Query, ReportDataSource, ReportUnit, ResourceLookup, XMLAConnection

All Known Implementing Classes:
  BeanReportDataSourceImpl, ContentResourceImpl, CustomReportDataSourceImpl, DataSourceImpl, DataTypeImpl, FileResourceImpl, FolderImpl, InputControlImpl, JdbcReportDataSourceImpl, JndiJdbcReportDataSourceImpl, ListOfValuesImpl, MondrianConnectionImpl, MondrianXMLADefinitionImpl, OlapClientConnectionImpl, OlapDataSourceImpl, OlapUnitImpl, QueryImpl, ReportDataSourceImpl, ReportUnitImpl, ResourceImpl, ResourceLookupImpl, XMLAConnectionImpl

    public interface Resource

extends AttributedObject, InternalURI, java.io.Serializable

Version:
  $Id: Resource.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary
`static java.lang.String` | `URI_PROTOCOL`
`static int` | `VERSION_NEW`

Method Summary
`java.util.Date` | `getCreationDate()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getLabel()`
`java.lang.String` | `getName()`
`java.lang.String` | `getParentFolder()`
`java.lang.String` | `getResourceType()`
`java.lang.String` | `getURIString()`
`int` | `getVersion()`
`boolean` | `isNew()`
`void` | `setCreationDate(java.util.Date timestamp)`
`void` | `setDescription(java.lang.String description)`
`void` | `setLabel(java.lang.String label)`
`void` | `setName(java.lang.String name)`
`void` | `setParentFolder(Folder folder)`
`void` | `setParentFolder(java.lang.String uri)`
`void` | `setURIString(java.lang.String uri)`
`void` | `setVersion(int version)`

Methods inherited from interface com.jaspersoft.jasperserver.api.common.domain.AttributedObject
`getAttributes, setAttributes`

Methods inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.InternalURI
`getParentPath, getParentURI, getPath, getProtocol, getURI`

Methods inherited from interface org.acegisecurity.acl.basic.AclObjectIdentity
`equals, hashCode`

Field Detail

### URI_PROTOCOL

    static final java.lang.String URI_PROTOCOL

See Also:
  Constant Field Values

### VERSION_NEW

    static final int VERSION_NEW

See Also:
  Constant Field Values

Method Detail

### getVersion

    int getVersion()

### setVersion

    void setVersion(int version)

### getURIString

    java.lang.String getURIString()

### setURIString

    void setURIString(java.lang.String uri)

### getParentFolder

    java.lang.String getParentFolder()

### setParentFolder

    void setParentFolder(java.lang.String uri)

### setParentFolder

    void setParentFolder(Folder folder)

### getName

    java.lang.String getName()

### setName

    void setName(java.lang.String name)

### getLabel

    java.lang.String getLabel()

### setLabel

    void setLabel(java.lang.String label)

### getDescription

    java.lang.String getDescription()

### setDescription

    void setDescription(java.lang.String description)

### getResourceType

    java.lang.String getResourceType()

### getCreationDate

    java.util.Date getCreationDate()

### setCreationDate

    void setCreationDate(java.util.Date timestamp)

### isNew

    boolean isNew()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.